- [HTTP request](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/list#body.request_body)
- [Response body](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/list#body.TaskLists.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/list#body.aspect)
- [TaskLists](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/list#TaskLists)
  - [JSON representation](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/list#TaskLists.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/list#try-it)

Returns all the authenticated user's task lists. A user can have up to 2000 lists at a time.

### HTTP request

`GET https://tasks.googleapis.com/tasks/v1/users/@me/lists`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Optional. Maximum number of task lists returned on one page. The default is 1000 (max allowed: 1000). |
| `pageToken` | `string` Optional. Token specifying the result page to return. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "nextPageToken": string, "items": [ { object (`https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists#TaskList`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Type of the resource. This is always "tasks#taskLists". |
| `etag` | `string` ETag of the resource. |
| `nextPageToken` | `string` Token that can be used to request the next page of this result. |
| `items[]` | ``object (`https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists#TaskList`)`` Collection of task lists. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/tasks`
- `https://www.googleapis.com/auth/tasks.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## TaskLists

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "nextPageToken": string, "items": [ { object (`https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists#TaskList`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Type of the resource. This is always "tasks#taskLists". |
| `etag` | `string` ETag of the resource. |
| `nextPageToken` | `string` Token that can be used to request the next page of this result. |
| `items[]` | ``object (`https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists#TaskList`)`` Collection of task lists. |